<div class="multiSelect row">

    <div class="select col-sm-4">
        <!-- Available -->
        <label class="control-label" for="multiSelectAvailable">
            {{ availableLabel }}
        </label>

        <div list-view
             items="available"
             ng-model="checked.available"

             item-caption="i as i.name"
             item-tooltip="i as i.uuid"
             item-icon-class="fa fa-leaf"
             item-value="i as i.uuid"
                >
        </div>
    </div>

    <!-- Buttons -->
    <div class="select buttons col-sm-2">
        <!-- Add -->
        <div>
            <button class="btn btn-default mover left" ng-click="add()"
                    title="{{ 'Add selected'|translate }}"
                    ng-disabled="!checked.available.length">
                <i class="fa fa-arrow-right"></i>
                <span translate>Add</span>
            </button>
        </div>
        <!-- Remove -->
        <div>
            <button class="btn btn-default mover right" ng-click="remove()"
                    title="Remove selected"
                    ng-disabled="!checked.selected.length">
                <i class="fa fa-arrow-left"></i>
                <span translate>Remove</span>
            </button>
        </div>
    </div>

    <!-- Selected -->
    <div class="select col-sm-4 highlighted">
        <label class="control-label" for="multiSelectSelected">
            {{ selectedLabel }}
        </label>

        <div list-view
             items="selected"
             ng-model="checked.selected"
             item-caption="i as i.name"
             item-tooltip="i as i.uuid"
             item-icon-class="fa fa-leaf"
             item-value="i as i.uuid"
             >
        </div>
    </div>

</div>

<!-- Read only select -->
<select multiple name="{{ htmlName }}" style="display: none;">
    <option ng-repeat="item in items" ng-selected="isSelected(item)"
            value="{{ renderAttr(item, 'itemValue') }}">
        {{ renderAttr(item, 'itemCaption') }}
    </option>
</select>

